#pragma once
#include <map>
struct Fish_GuideCFGData
{
	//ID
	int mID;
	//名字
	std::string mName;
	//需要等级
	int mNeedLevel;
	//提示信息
	std::string mTipsInfo;
};

class Fish_GuideCFG
{
public:
private:
	static std::auto_ptr<Fish_GuideCFG> msSingleton;
public:
	int GetCount();
	const Fish_GuideCFGData* GetData(int ID);
	const std::map<int, Fish_GuideCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_GuideCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_GuideCFGData> mMapData;
};
